Debian Bug report logs - #696719
ITP: mock -- build rpm packages inside a chroot

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Tzafrir Cohen <tzafrir@debian.org>

Date: Wed, 26 Dec 2012 12:06:01 UTC

Owned by: Tzafrir Cohen <tzafrir@debian.org>

Severity: wishlist

Fixed in version mock/1.1.33-1

Done: Tzafrir Cohen <tzafrir@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#696719; Package wnpp. (Wed, 26 Dec 2012 12:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tzafrir Cohen <tzafrir@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Wed, 26 Dec 2012 12:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tzafrir Cohen <tzafrir@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: mock -- build rpm packages inside a chroot
Date: Wed, 26 Dec 2012 13:55:31 +0200
Package: wnpp
Severity: wishlist
Owner: Tzafrir Cohen <tzafrir@debian.org>

* Package name    : mock
  Version         : 1.1.28
  Upstream Author : Clark Williams <williams@redhat.com>
* URL             : https://fedorahosted.org/mock/
* License         : GPL-2+
  Programming Lang: Python
  Description     : build rpm packages inside a chroot

 Mock creates chroots and builds rpms in them. Its only task is to
 reliably populate a chroot and attempt to build a package in that
 chroot. It is used be the Fedora Extras project to build their
 packages cleanly.

Mock was previously packaged in Debian, but unmaintained and eventually
removed:
http://bugs.debian.org/616383
I believe it can be handy for us and would like to re-introduce it.

A packaging repository will shortly be on
http://anoncms.debian.org/gitweb/?p=users/tzafrir/mock.git
Test packages (for Wheezy) will shortly be on
http://people.debian.org/~tzafrir/mock

-- 
Tzafrir Cohen         | tzafrir@jabber.org | VIM is
http://tzafrir.org.il |                    | a Mutt's
tzafrir@cohens.org.il |                    |  best
tzafrir@debian.org    |                    | friend



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Tzafrir Cohen <tzafrir@debian.org>:
Bug#696719; Package wnpp. (Tue, 15 Jan 2013 05:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Miller <mtmiller@ieee.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Tzafrir Cohen <tzafrir@debian.org>. (Tue, 15 Jan 2013 05:21:06 GMT) Full text and rfc822 format available.

Message #10 received at 696719@bugs.debian.org (full text, mbox):

From: Mike Miller <mtmiller@ieee.org>
To: Tzafrir Cohen <tzafrir@debian.org>, 696719@bugs.debian.org
Subject: Re: Bug#696719: ITP: mock -- build rpm packages inside a chroot
Date: Tue, 15 Jan 2013 00:17:26 -0500
On Wed, Dec 26, 2012 at 6:55 AM, Tzafrir Cohen wrote:
> Mock was previously packaged in Debian, but unmaintained and eventually
> removed:
> http://bugs.debian.org/616383
> I believe it can be handy for us and would like to re-introduce it.

Good to see this, I've been using mock locally for some time now
myself, extremely useful to me. Let me know if you need help testing
or whatever.

I am working on packaging yum-utils (#547171) which looks like it
should be in Depends for mock.

Thanks, looking forward to testing what you have so far.

--
mike



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 14 Sep 2013 08:06:09 GMT) Full text and rfc822 format available.

Reply sent to Tzafrir Cohen <tzafrir@debian.org>:
You have taken responsibility. (Sun, 15 Sep 2013 03:03:20 GMT) Full text and rfc822 format available.

Notification sent to Tzafrir Cohen <tzafrir@debian.org>:
Bug acknowledged by developer. (Sun, 15 Sep 2013 03:03:20 GMT) Full text and rfc822 format available.

Message #17 received at 696719-close@bugs.debian.org (full text, mbox):

From: Tzafrir Cohen <tzafrir@debian.org>
To: 696719-close@bugs.debian.org
Subject: Bug#696719: fixed in mock 1.1.33-1
Date: Sun, 15 Sep 2013 03:01:12 +0000
Source: mock
Source-Version: 1.1.33-1

We believe that the bug you reported is fixed in the latest version of
mock, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 696719@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Tzafrir Cohen <tzafrir@debian.org> (supplier of updated mock package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 14 Sep 2013 01:30:31 +0300
Source: mock
Binary: mock
Architecture: source all
Version: 1.1.33-1
Distribution: unstable
Urgency: low
Maintainer: Tzafrir Cohen <tzafrir@debian.org>
Changed-By: Tzafrir Cohen <tzafrir@debian.org>
Description: 
 mock       - Build rpm packages inside a chroot
Closes: 696719
Changes: 
 mock (1.1.33-1) unstable; urgency=low
 .
   * Initial release. (Closes: #696719)
Checksums-Sha1: 
 1f83ed379eaa107b89488fca5ea806cbbfd32b55 1202 mock_1.1.33-1.dsc
 29af1c5c51a428835acabbab0d65e3cbc64d6eec 316083 mock_1.1.33.orig.tar.gz
 a8606ef1e764efe635eb5c9aa0faa21625e7712e 4188 mock_1.1.33-1.debian.tar.gz
 90938019daecd271c9e7f0b7c5c556b94e827771 141764 mock_1.1.33-1_all.deb
Checksums-Sha256: 
 022c496c21acb2f128ed2cd513992aa4a72c9dfc8364d9339774f3e87c8051af 1202 mock_1.1.33-1.dsc
 e9c4c6c7f6aa5cf2a71226dfa2e7c82b12c0e46273f5c7c4d99f1c24e0341f86 316083 mock_1.1.33.orig.tar.gz
 a42480341f03a9fb8492d51ca101bdc4075fe04e7182ffa330343b58eed6f6f4 4188 mock_1.1.33-1.debian.tar.gz
 1914f1aa6fb8318e73ee6df3045947a2cbe919a015dfd421bbba441ec5325a74 141764 mock_1.1.33-1_all.deb
Files: 
 384ba46f542efe3bac36f06f01403486 1202 devel extra mock_1.1.33-1.dsc
 730988bd7b78a3d6bdafdcc0c63b0ddc 316083 devel extra mock_1.1.33.orig.tar.gz
 bb6a7a0402fca6e72d324d7fe498e935 4188 devel extra mock_1.1.33-1.debian.tar.gz
 9969dbe43dbc9bda241e13ac311d4894 141764 devel extra mock_1.1.33-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlIzkugACgkQxArWdkN9MoujSwCfYivsDtnWVMKVoGEpnNLvhzks
3tAAoNNwBThK5JDQqxEwe+2YKlgvHnSP
=RcmD
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 13 Oct 2013 07:27:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 08:13:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.